/** ###################################################################
**     Filename  : DDS.h
**     Project   : DDSTest
**     Processor : MC56F8006_48_LQFP
**     Version   : Driver 01.13
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 7/24/2009, 4:32 PM
**     Abstract  :
**         Main module.
**         This module contains user's application code.
**     Settings  :
**     Contents  :
**         No public methods
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/
/* MODULE DDS */
#ifndef __DDS_H
#define __DDS_H

/* Including shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

typedef enum
{
	DDS_NONE = 0,
	DDS_SINE,
	DDS_SAWTOOTH,
	DDS_SQUARE
}	DDS_Waveform_t;


typedef struct
{
	UWord16 PhaseAccumulator;
	UWord16 SampleRate;
	UWord16 PhaseOffset;
	UWord16 TuningWord;
	DDS_Waveform_t WaveformType;
	UWord16 Output;
}	DDS_16;


void DDS16Initialize(DDS_16 *pDDS, UWord16 SampleRate, UWord16 InitialOutputFrequency, UWord16 InitialPhaseOffset, DDS_Waveform_t Waveform);
void DDS16SetTuningWord(DDS_16 *pDDS, UWord16 OutputFrequency);
void DDS16Update(DDS_16 *pDDS);

/* END DDS */
#endif /* __DDS_H*/
