/** ###################################################################
**     Filename  : Keypad.C
**     Project   : DC17
**     Processor : MC56F8006_32_LQFP
**     Version   : Driver 01.13
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 1/18/2009, 1:37 PM
**     Abstract  :
**         Main module.
**         This module contains user's application code.
**     Settings  :
**     Contents  :
**         No public methods
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/
#ifndef __Keypad_H
#define __Keypad_H
/* MODULE Keypad */


/* Including needed modules to compile this module/procedure */

/* Including shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"

/* keypad defines */
#define KEYPAD_ROW_COUNT		4
#define KEYPAD_COLUMN_COUNT	4

#define KEYPAD_COLUMN_0_BIT	1
#define KEYPAD_COLUMN_1_BIT	2
#define KEYPAD_COLUMN_2_BIT	4
#define KEYPAD_COLUMN_3_BIT	8

#define KEYPAD_COLUMN_READ_RESULTS_MASK	0xf

#define KEYPAD_ROW_0				0
#define KEYPAD_ROW_1				1
#define KEYPAD_ROW_2				2
#define KEYPAD_ROW_3				3

/* supported keypad scan return values */
#define KEYPAD_NOKEY	0

#define KEYPAD_1			((KEYPAD_COLUMN_0_BIT) << (KEYPAD_ROW_0 * KEYPAD_ROW_COUNT))
#define KEYPAD_2			((KEYPAD_COLUMN_1_BIT) << (KEYPAD_ROW_0 * KEYPAD_ROW_COUNT))
#define KEYPAD_3			((KEYPAD_COLUMN_2_BIT) << (KEYPAD_ROW_0 * KEYPAD_ROW_COUNT))
#define KEYPAD_A			((KEYPAD_COLUMN_3_BIT) << (KEYPAD_ROW_0 * KEYPAD_ROW_COUNT))

#define KEYPAD_4			((KEYPAD_COLUMN_0_BIT) << (KEYPAD_ROW_1 * KEYPAD_ROW_COUNT))
#define KEYPAD_5			((KEYPAD_COLUMN_1_BIT) << (KEYPAD_ROW_1 * KEYPAD_ROW_COUNT))
#define KEYPAD_6			((KEYPAD_COLUMN_2_BIT) << (KEYPAD_ROW_1 * KEYPAD_ROW_COUNT))
#define KEYPAD_B			((KEYPAD_COLUMN_3_BIT) << (KEYPAD_ROW_1 * KEYPAD_ROW_COUNT))

#define KEYPAD_7			((KEYPAD_COLUMN_0_BIT) << (KEYPAD_ROW_2 * KEYPAD_ROW_COUNT))
#define KEYPAD_8			((KEYPAD_COLUMN_1_BIT) << (KEYPAD_ROW_2 * KEYPAD_ROW_COUNT))
#define KEYPAD_9			((KEYPAD_COLUMN_2_BIT) << (KEYPAD_ROW_2 * KEYPAD_ROW_COUNT))
#define KEYPAD_C			((KEYPAD_COLUMN_3_BIT) << (KEYPAD_ROW_2 * KEYPAD_ROW_COUNT))

#define KEYPAD_STAR		((KEYPAD_COLUMN_0_BIT) << (KEYPAD_ROW_3 * KEYPAD_ROW_COUNT))
#define KEYPAD_0			((KEYPAD_COLUMN_1_BIT) << (KEYPAD_ROW_3 * KEYPAD_ROW_COUNT))
#define KEYPAD_POUND	((KEYPAD_COLUMN_2_BIT) << (KEYPAD_ROW_3 * KEYPAD_ROW_COUNT))
#define KEYPAD_D			((KEYPAD_COLUMN_3_BIT) << (KEYPAD_ROW_3 * KEYPAD_ROW_COUNT))

/* combination codes used for mode switching, etc */
#define KEYPAD_STAR_1	(KEYPAD_STAR | KEYPAD_1)
#define KEYPAD_STAR_2	(KEYPAD_STAR | KEYPAD_2)
#define KEYPAD_STAR_3	(KEYPAD_STAR | KEYPAD_3)
#define KEYPAD_STAR_4	(KEYPAD_STAR | KEYPAD_4)


/* function prototypes */
void InitializeKeypad(void);
UWord16 ScanKeypad(void);

/* END Keypad */
#endif /* __Keypad_H*/

/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [04.17]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
