/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : PORTA4OUT.C
**     Project   : DC17
**     Processor : MC56F8006_32_LQFP
**     Beantype  : BitIO
**     Version   : Bean 02.072, Driver 01.17, CPU db: 3.00.169
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 7/5/2010, 2:14 PM
**     Abstract  :
**         This bean "BitIO" implements an one-bit input/output.
**         It uses one bit/pin of a port.
**         Methods of this bean are mostly implemented as a macros
**         (if supported by target language and compiler).
**     Settings  :
**         Used pin                    :
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       22            |  GPIOA4_PWM4_FAULT1_SDA_TIN2
**             ----------------------------------------------------
**
**         Port name                   : GPIOA
**
**         Bit number (in port)        : 4
**         Bit mask of the port        : 16
**
**         Initial direction           : Output (direction can be changed)
**         Safe mode                   : yes
**         Initial output value        : 0
**         Initial pull option         : off
**
**         Port data register          : GPIO_A_DR [61825]
**         Port control register       : GPIO_A_DDR [61826]
**         Port function register      : GPIO_A_PER [61827]
**
**         Optimization for            : speed
**     Contents  :
**         SetDir - void PORTA4OUT_SetDir(bool Dir);
**         GetVal - bool PORTA4OUT_GetVal(void);
**         PutVal - void PORTA4OUT_PutVal(bool Val);
**         ClrVal - void PORTA4OUT_ClrVal(void);
**         SetVal - void PORTA4OUT_SetVal(void);
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

/* MODULE PORTA4OUT. */

#include "PORTA4OUT.h"
/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

#include "Cpu.h"


/*
** ===================================================================
**     Method      :  PORTA4OUT_GetVal (bean BitIO)
**
**     Description :
**         This method returns an input value.
**           a) direction = Input  : reads the input value from the
**                                   pin and returns it
**           b) direction = Output : returns the last written value
**     Parameters  : None
**     Returns     :
**         ---             - Input value. Possible values:
**                           FALSE - logical "0" (Low level)
**                           TRUE - logical "1" (High level)

** ===================================================================
*/
/*
bool PORTA4OUT_GetVal(void)

**  This method is implemented as a macro. See PORTA4OUT.h file.  **

*/

/*
** ===================================================================
**     Method      :  PORTA4OUT_PutVal (bean BitIO)
**
**     Description :
**         This method writes the new output value.
**           a) direction = Input  : sets the new output value;
**                                   this operation will be shown on
**                                   output after the direction has
**                                   been switched to output
**                                   (SetDir(TRUE);)
**           b) direction = Output : directly writes the value to the
**                                   appropriate pin
**     Parameters  :
**         NAME       - DESCRIPTION
**         Val             - Output value. Possible values:
**                           FALSE - logical "0" (Low level)
**                           TRUE - logical "1" (High level)
**     Returns     : Nothing
** ===================================================================
*/
void PORTA4OUT_PutVal(bool Val)
{
  if (Val) {                           /* Is it one to be written? */
    Shadow_GPIO_A_DR |= PORTA4OUT_PIN_MASK; /* Set bit in shadow variable */
    setRegBits(GPIO_A_DR,PORTA4OUT_PIN_MASK); /* Set bit on port */
  }
  else {                               /* Is it zero to be written? */
    Shadow_GPIO_A_DR &= ~PORTA4OUT_PIN_MASK; /* Clear bit in shadow variable */
    clrRegBits(GPIO_A_DR,PORTA4OUT_PIN_MASK); /* Clear bit on port */
  }
}

/*
** ===================================================================
**     Method      :  PORTA4OUT_SetVal (bean BitIO)
**
**     Description :
**         This method sets (sets to one) the output value.
**           a) direction = Input  : sets the output value to "1";
**                                   this operation will be shown on
**                                   output after the direction has
**                                   been switched to output
**                                   (SetDir(TRUE);)
**           b) direction = Output : directly writes "1" to the
**                                   appropriate pin
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
/*
void PORTA4OUT_SetVal(void)

**  This method is implemented as a macro. See PORTA4OUT.h file.  **
*/

/*
** ===================================================================
**     Method      :  PORTA4OUT_ClrVal (bean BitIO)
**
**     Description :
**         This method clears (sets to zero) the output value.
**           a) direction = Input  : sets the output value to "0";
**                                   this operation will be shown on
**                                   output after the direction has
**                                   been switched to output
**                                   (SetDir(TRUE);)
**           b) direction = Output : directly writes "0" to the
**                                   appropriate pin
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
/*
void PORTA4OUT_ClrVal(void)

**  This method is implemented as a macro. See PORTA4OUT.h file.  **
*/

/*
** ===================================================================
**     Method      :  PORTA4OUT_SetDir (bean BitIO)
**
**     Description :
**         This method sets direction of the bean.
**     Parameters  :
**         NAME       - DESCRIPTION
**         Dir        - Direction to set (FALSE or TRUE)
**                      FALSE = Input, TRUE = Output
**     Returns     : Nothing
** ===================================================================
*/
void PORTA4OUT_SetDir(bool Dir)
{
  if (Dir) {                           /* Is given direction output? */
    setReg(GPIO_A_DR,((getReg(GPIO_A_DR)) & ~PORTA4OUT_PIN_MASK) | (Shadow_GPIO_A_DR & PORTA4OUT_PIN_MASK)); /* Restore correct value of output from shadow variable */
    setRegBits(GPIO_A_DDR,PORTA4OUT_PIN_MASK); /* Set direction to output */
  }
  else {                               /* Is given direction input? */
    clrRegBits(GPIO_A_DDR,PORTA4OUT_PIN_MASK); /* Set direction to input */
  }
}

/* END PORTA4OUT. */

/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [04.17]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
